Page MenuHomePhabricator

Make dosep output status by overwriting the same line.
ClosedPublic

Authored by chaoren on Aug 7 2015, 12:54 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

chaoren retitled this revision from to Make dosep output status by overwriting the same line..
chaoren updated this object.
chaoren added a reviewer: zturner.
chaoren added a subscriber: lldb-commits.
zturner edited edge metadata.Aug 7 2015, 12:56 PM
zturner added a subscriber: zturner.

I was hoping to get my change in first, what do you think?

I was hoping to get my change in first, what do you think?

What do you mean? This is an update to D11816. I can't commit it without your change.

Ahh, ignore my comment then :)

chaoren updated this revision to Diff 31558.Aug 7 2015, 4:34 PM
chaoren edited edge metadata.
  • Rename counter in terms of directories.
chaoren updated this revision to Diff 31633.Aug 9 2015, 9:28 PM
  • Proper counting of total number of tests.

Rebase on top of rL244469.

Sorry, will get to this first thing tomorroow

zturner added inline comments.Aug 12 2015, 10:53 AM
test/dosep.py
215 ↗(On Diff #31703)

How was this working before? Seems risky to start eliminating files that were previously considered, and is this rule documented anywhere that the filename must start with Test?

chaoren added inline comments.Aug 12 2015, 10:55 AM
test/dosep.py
163 ↗(On Diff #31703)

From here.

215 ↗(On Diff #31703)

Yeah, this is moved over from line 163. I just moved the filtering earlier to get a count of test suites.

zturner accepted this revision.Aug 12 2015, 11:01 AM
zturner edited edge metadata.
This revision is now accepted and ready to land.Aug 12 2015, 11:01 AM
This revision was automatically updated to reflect the committed changes.